Bug 1000947 - [abrt] qemu-system-x86-1.4.2-7.fc19: crash in lsi_soft_reset
[abrt] qemu-system-x86-1.4.2-7.fc19: crash in lsi_soft_reset
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
abrt_hash:e1ce58b6eeee1f4f5839cd1e5e0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 03:43 EDT by packetdelay
Modified: 2013-09-13 22:31 EDT (History)
10 users (show)

See Also:
Fixed In Version: qemu-1.4.2-9.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 22:31:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.29 KB, text/plain)
2013-08-26 03:43 EDT, packetdelay
no flags Details
File: cgroup (373 bytes, text/plain)
2013-08-26 03:43 EDT, packetdelay
no flags Details
File: core_backtrace (18.68 KB, text/plain)
2013-08-26 03:43 EDT, packetdelay
no flags Details
File: dso_list (9.37 KB, text/plain)
2013-08-26 03:43 EDT, packetdelay
no flags Details
File: environ (85 bytes, text/plain)
2013-08-26 03:43 EDT, packetdelay
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-26 03:43 EDT, packetdelay
no flags Details
File: maps (48.32 KB, text/plain)
2013-08-26 03:43 EDT, packetdelay
no flags Details
File: open_fds (1.18 KB, text/plain)
2013-08-26 03:44 EDT, packetdelay
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-08-26 03:44 EDT, packetdelay
no flags Details
File: var_log_messages (798 bytes, text/plain)
2013-08-26 03:44 EDT, packetdelay
no flags Details

  None (edit)
Description packetdelay 2013-08-26 03:43:12 EDT
Description of problem:
Booting windows XP sp3 x86 VM

Version-Release number of selected component:
qemu-system-x86-1.4.2-7.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 3
cmdline:        /usr/bin/qemu-system-x86_64 -name daddyj -S -machine pc-i440fx-1.4,accel=tcg,usb=off -cpu Opteron_G2,+wdt,+skinit,+ibs,+osvw,+3dnowprefetch,+cr8legacy,+extapic,+cmp_legacy,+3dnow,+3dnowext,+pdpe1gb,+fxsr_opt,+mmxext,+ht,+vme -m 3072 -smp 1,sockets=1,cores=1,threads=1 -uuid e555c1e5-0017-ce45-a8af-352dd977c8f6 -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/daddyj.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device lsi,id=scsi0,bus=pci.0,addr=0x6 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x4 -drive file=/home/dwild/Downloads/win/xp_pro_sp2_corp.iso,if=none,id=drive-ide0-1-0,readonly=on,format=raw -device ide-cd,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0,bootindex=1 -drive file=/home/kvm/daddyj.img,if=none,id=drive-scsi0-0-0,format=raw,cache=writeback -device scsi-hd,bus=scsi0.0,scsi-id=0,drive=drive-scsi0-0-0,id=scsi0-0-0,bootindex=2 -netdev tap,fd=23,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:75:51:bc,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -spice port=5900,addr=127.0.0.1,disable-ticketing,seamless-migration=on -vga std -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x5
crash_function: __assert_fail_base
executable:     /usr/bin/qemu-system-x86_64
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
uid:            107

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 __assert_fail_base at assert.c:92
 #3 __assert_fail at assert.c:101
 #4 lsi_soft_reset at hw/lsi53c895a.c:352
 #5 lsi_scsi_reset at hw/lsi53c895a.c:1965
 #6 qdev_reset_one at hw/qdev.c:224
 #7 qdev_walk_children at hw/qdev.c:373
 #8 access_with_adjusted_size at /usr/src/debug/qemu-1.4.2/memory.c:364
 #9 memory_region_dispatch_write at /usr/src/debug/qemu-1.4.2/memory.c:916
 #10 io_mem_write at /usr/src/debug/qemu-1.4.2/memory.c:1597
 #11 access_with_adjusted_size at /usr/src/debug/qemu-1.4.2/memory.c:364
Comment 1 packetdelay 2013-08-26 03:43:19 EDT
Created attachment 790321 [details]
File: backtrace
Comment 2 packetdelay 2013-08-26 03:43:25 EDT
Created attachment 790322 [details]
File: cgroup
Comment 3 packetdelay 2013-08-26 03:43:30 EDT
Created attachment 790323 [details]
File: core_backtrace
Comment 4 packetdelay 2013-08-26 03:43:38 EDT
Created attachment 790324 [details]
File: dso_list
Comment 5 packetdelay 2013-08-26 03:43:43 EDT
Created attachment 790325 [details]
File: environ
Comment 6 packetdelay 2013-08-26 03:43:50 EDT
Created attachment 790327 [details]
File: limits
Comment 7 packetdelay 2013-08-26 03:43:58 EDT
Created attachment 790328 [details]
File: maps
Comment 8 packetdelay 2013-08-26 03:44:03 EDT
Created attachment 790329 [details]
File: open_fds
Comment 9 packetdelay 2013-08-26 03:44:09 EDT
Created attachment 790330 [details]
File: proc_pid_status
Comment 10 packetdelay 2013-08-26 03:44:14 EDT
Created attachment 790331 [details]
File: var_log_messages
Comment 11 packetdelay 2013-08-26 04:57:44 EDT
Bug occurs with default virtual SCSI controller for KVM/WinXP32, but not with IDE controller.
Comment 12 Cole Robinson 2013-08-30 19:18:51 EDT
Paolo, any thoughts on this? It's in LSI unfortunately
Comment 13 Paolo Bonzini 2013-09-03 09:02:48 EDT
It's been reported upstream too.  I need to dig out the patches that were needed for it.
Comment 14 Paolo Bonzini 2013-09-03 09:14:50 EDT
Patches at http://article.gmane.org/gmane.comp.emulators.qemu/209369/raw.
Comment 15 Cole Robinson 2013-09-03 09:34:22 EDT
Thanks Paolo!
Comment 16 Cole Robinson 2013-09-03 13:10:34 EDT
(In reply to Paolo Bonzini from comment #14)
> Patches at http://article.gmane.org/gmane.comp.emulators.qemu/209369/raw.

I'll take that as an endorsement to backport them to F16/qemu-1.4, but just to be clear, those patches are heading upstream right? They aren't in qemu.git yet it seems...
Comment 17 Fedora Update System 2013-09-03 15:48:35 EDT
qemu-1.4.2-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-8.fc19
Comment 18 Fedora Update System 2013-09-04 21:27:02 EDT
Package qemu-1.4.2-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.4.2-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15760/qemu-1.4.2-8.fc19
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-09-05 05:56:42 EDT
qemu-1.4.2-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-9.fc19
Comment 20 Fedora Update System 2013-09-09 09:23:06 EDT
qemu-1.4.2-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-15914/qemu-1.4.2-9.fc19
Comment 21 Fedora Update System 2013-09-13 22:31:36 EDT
qemu-1.4.2-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.